
[![Enterprise Modules](https://raw.githubusercontent.com/enterprisemodules/public_images/master/banner1.jpg)](https://www.enterprisemodules.com)

#### Table of Contents

- [Overview](#overview)
- [License](#license)
- [Description](#description)
- [Setup](#setup)
  - [Requirements](#requirements)
  - [Installing the db2_config module](#installing-the-db2_config-module)
- [Usage](#usage)
- [Reference](#reference)
- [Limitations](#limitations)

## Overview

This module allows you to configure and manage DB2 database. It is part of our family of Puppet modules to install, manage and secure DB2 databases with Puppet. Besides the [`db2_config`](https://www.enterprisemodules.com/shop/products/puppet-db2_config-module) module, this family also contains:

- [db2_install](https://www.enterprisemodules.com/shop/products/puppet-db2_install-module) For installing an DB2 databases.
- [secured](https://www.enterprisemodules.com/shop/products/puppet-db2-security-module) To secure your databases according to the CIS benchmarks.
- [db2_profile](https://forge.puppet.com/enterprisemodules/db2_profile) The db2_profile module allows an easy path from first simple installation to a fully customized Enterprise setup. 

All of these modules support DB2 versions 9, 10 and 11 all fixpack levels

## License

This is a commercially licensed module. But you can use the module on VirtualBox based development systems for **FREE**. You can [request a **FREE** trial license here](https://www.enterprisemodules.com/sign-up-for-free-trial)

[![FREE TRIAL](https://raw.githubusercontent.com/enterprisemodules/public_images/master/free-trial.jpg)](https://www.enterprisemodules.com/sign-up-for-free-trial)

Check the [License](https://forge.puppet.com/enterprisemodules/db2_config/license) for details.

## Description

This module allows you to manage everything there is to manage in an DB2 database. For example you can manage: users, tablespaces and schemas and much more. The module contains the following types:

- [db2_database](https://www.enterprisemodules.com/docs/db2_config/db2_database.html)
- [db2_exec](https://www.enterprisemodules.com/docs/db2_config/db2_exec.html)
- [db2_group](https://www.enterprisemodules.com/docs/db2_config/db2_group.html)
- [db2_instance](https://www.enterprisemodules.com/docs/db2_config/db2_instance.html)
- [db2_object_grant](https://www.enterprisemodules.com/docs/db2_config/db2_object_grant.html)
- [db2_role](https://www.enterprisemodules.com/docs/db2_config/db2_role.html)
- [db2_schema](https://www.enterprisemodules.com/docs/db2_config/db2_schema.html)
- [db2_schema_definition](https://www.enterprisemodules.com/docs/db2_config/db2_schema_definition.html)
- [db2_tablespace](https://www.enterprisemodules.com/docs/db2_config/db2_tablespace.html)
- [db2_user](https://www.enterprisemodules.com/docs/db2_config/db2_user.html)
- [db2_validation](https://www.enterprisemodules.com/docs/db2_config/db2_validation.html)


Check [here](https://www.enterprisemodules.com/docs/db2_config/description.html) to see the full documentation for this module.

## Setup


### Requirements

The [`db2_config`](https://www.enterprisemodules.com/shop/products/puppet-db2_config-module) module requires:

- Puppet module [`enterprisemodules-easy_type`](https://forge.puppet.com/enterprisemodules/easy_type) installed.
- Puppet version 4.0 or higher. Can be Puppet Enterprise or Puppet Open Source
- DB2 version 9 higher
- A valid DB2 license
- A valid Enterprise Modules license for usage.
- Runs on most Linux systems.

### Installing the db2_config module

To install these modules, you can use a `Puppetfile`

```
mod 'enterprisemodules/db2_config'               ,'0.1.x'
```

Then use the`r10K` to install the software.

You can also install the software using the `puppet module`  command:

```
puppet module install enterprisemodules-db2_config
```

## Usage

Building a total DB2 setup requires quite some work. To help you, we have built [some examples](https://github.com/enterprisemodules/db2_demo). The repo contains a demonstration of a simple database installation. 


## Reference

Here you can find some more information regarding this puppet module:

- [The `db2_config` documentation](https://www.enterprisemodules.com/docs/db2_config/description.html)

## Limitations

This module runs on most Linux versions. It requires a puppet version higher than 4. Other configurations are not (yet) supported.