# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`db2_config`](#db2_config): db2_config   See the file "LICENSE" for the full license governing this code.
* [`db2_config::clear_caches`](#db2_configclear_caches): This class contains the puppet code that implements the default facter cache invalidation rules.
* [`db2_config::fact_caching`](#db2_configfact_caching): This class ensure's that the db2_config facts that can be cached and are cached with the correct settings.
* [`db2_config::packages`](#db2_configpackages): Ensure the required packages (ruby gem) is installed.

### Resource types

* [`db2_database`](#db2_database): This resource allows you to manage an DB2 Database. Here is an example on how you can do this:      db2_database {'db2inst1/MYDB':       ensu
* [`db2_exec`](#db2_exec): This type allows you run a specific SQL statement or an sql file on a specified instance and database.      db2_exec { "db2inst1/MYDB/drop ta
* [`db2_group`](#db2_group): This resource allows you to manage a DB2 group. Here is an example on how to use this:      db2_group { 'db2inst1/MYDB/PUBLIC':       ensure 
* [`db2_instance`](#db2_instance): This resource allows you to manage an DB2 instance. Here is an example on how to use this:      db2_instance { 'db2inst2':       ensure      
* [`db2_object_grant`](#db2_object_grant): This puppet type allows you to manage grants/permissions on database objects. Here is an example:      db2_object_grant { 'db2inst1/MYDB/USER
* [`db2_role`](#db2_role): This resource allows you to manage a DB2 role. Here is an example on how to use this:      db2_role { 'db2inst1/MYDB/MY_ROLE':       ensure  
* [`db2_schema`](#db2_schema): This resource allows you to manage a DB2 schema. Here is an example on how to use this:      db2_schema { 'db2inst1/MYDB/MY_SCHEMA':       en
* [`db2_schema_definition`](#db2_schema_definition): This resource allows you to manage a schema definition. This includes all tables, indexes and other DDL that is needed for your application. 
* [`db2_tablespace`](#db2_tablespace): This resource allows you to manage a DB2 tablespace. Here is an example on how to use this:      db2_tablespace { 'db2inst1/MYDB/USERSPACE1':
* [`db2_user`](#db2_user): This resource allows you to manage a DB2 user. Here is an example on how to use this:      db2_user { 'db2inst1/MYDB/MYUSER':       ensure   
* [`db2_validation`](#db2_validation): This type allows you to validate the contents of your DB2 database. Here is an example on how you can use this:      db2_validation { "db2ins
* [`pcmkr_cluster`](#pcmkr_cluster): This resource allows you to manage an Pacemaker cluster. Here is an example on how to use this:      pcmkr_cluster { 'cluster':       ensure 
* [`pcmkr_database`](#pcmkr_database): This resource allows you to manage an Pacemaker cluster. Here is an example on how to use this:      pcmkr_database { 'db2inst1/MYDB':       
* [`pcmkr_instance`](#pcmkr_instance): This resource allows you to manage an Pacemaker instance. Here is an example on how to use this:      pcmkr_instance { 'db2inst1':       ensu
* [`pcmkr_qdevice`](#pcmkr_qdevice): This resource allows you to manage an Pacemaker qdevice. Here is an example on how to use this:  pcmkr_qdevice { 'db1157c':   ensure     => '
* [`pcmkr_vip`](#pcmkr_vip): This resource allows you to manage an Pacemaker VIP. Here is an example on how to use this:  pcmkr_vip { 'db2inst1/MYDB/primary/10.20.21.4': 

### Functions

* [`db2_config::databases_in`](#db2_configdatabases_in): See the file "LICENSE" for the full license governing this code.   Function to detect the databases in a set of resources
* [`db2_config::fact_value_for`](#db2_configfact_value_for): Create a random id based on letters.
* [`db2_config::is_standby`](#db2_configis_standby): See the file "LICENSE" for the full license governing this code.   Function to fetch the fact mq_managers and based on that information decid
* [`db2_config::resources_for`](#db2_configresources_for): See the file "LICENSE" for the full license governing this code.
* [`db2_config::tablespaces_on_database`](#db2_configtablespaces_on_database): Create a random id based on letters.

## Classes

### <a name="db2_config"></a>`db2_config`

db2_config


See the file "LICENSE" for the full license governing this code.

### <a name="db2_configclear_caches"></a>`db2_config::clear_caches`

db2_config::clear_caches

Whenever a certain set of Puppet classes or defined types is applied, it will clear the facter caches for those facts that are implemented.


See the file "LICENSE" for the full license governing this code.

### <a name="db2_configfact_caching"></a>`db2_config::fact_caching`

db2_config::fact_caching

You can change all TTL settings for the facts if an other setting is more fitting for your setup.

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `db2_config::fact_caching` class:

* [`enabled`](#enabled)
* [`db2_databases_ttl`](#db2_databases_ttl)
* [`db2_instances_ttl`](#db2_instances_ttl)
* [`db2_schemas_ttl`](#db2_schemas_ttl)
* [`db2_tablespaces_ttl`](#db2_tablespaces_ttl)
* [`db2_version_ttl`](#db2_version_ttl)

##### <a name="enabled"></a>`enabled`

Data type: `Boolean`

When set to true, this enables facter caching for the db2_config module facts.
Beware that you need to have Facter version 4.1.0 or higher to enabled this. When you set this value to true, automatically TTL settings for most of the db2_config facts are set to a default value. For most installations, the default settings are fine.
When you set this value to `true`, the [facter setting `force-dot-resolution`](https://tickets.puppetlabs.com/browse/PUP-11089) is enabled. You have to ensure that all of your facts keep on working with this setting.

##### <a name="db2_databases_ttl"></a>`db2_databases_ttl`

Data type: `Optional[String[1]]`

The Time to Live for the `db2_databases` fact.

##### <a name="db2_instances_ttl"></a>`db2_instances_ttl`

Data type: `Optional[String[1]]`

The Time to Live for the `db2_instances` fact.

##### <a name="db2_schemas_ttl"></a>`db2_schemas_ttl`

Data type: `Optional[String[1]]`

The Time to Live for the `db2_schemas` fact.

##### <a name="db2_tablespaces_ttl"></a>`db2_tablespaces_ttl`

Data type: `Optional[String[1]]`

The Time to Live for the `db2_tablespaces` fact.

##### <a name="db2_version_ttl"></a>`db2_version_ttl`

Data type: `Optional[String[1]]`

The Time to Live for the `db2_version` fact.

### <a name="db2_configpackages"></a>`db2_config::packages`

db2_config::packages

See the file "LICENSE" for the full license governing this code.

## Resource types

### <a name="db2_database"></a>`db2_database`

This resource allows you to manage an DB2 Database. Here is an example on how you can do this:

    db2_database {'db2inst1/MYDB':
      ensure => 'present',
      rec_his_retentn      => 90,
      section_actuals      => 'NONE',
      self_tuning_mem      => 'ON',
      seqdetect            => 'YES',
    }

This statement will ensure a database `MYDB` on instance `db2inst1`.

#### Properties

The following properties are available in the `db2_database` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_database` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_database` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="db2_exec"></a>`db2_exec`

This type allows you run a specific SQL statement or an sql file on a specified instance and database.

    db2_exec { "db2inst1/MYDB/drop table application_users":
      username => 'app_user',
      password => 'password,'
    }

This statement will execute the sql statement `drop table application_users` on the databse 'MYDB' on instance 'db2inst1'.

You can use the `unless` parameter to only execute the statement in certain states. If the query specified in the
`unless` parameter returns one or more records, the main statement is skipped.

    db2_exec{ "create synonym ${user}.${synonym} for USER.${synonym}":
      unless  => "select * from all_synonyms where owner=\'${user}\' and synonym_name=\'${synonym}\'",
    }

You can also execute a script.

    db2_exec{"db2inst1/MYDB/@/tmp/do_some_stuff.sql":
      username  => 'app_user',
      password  => 'password,'
      logoutput => on_failure,  # can be true, false or on_failure
    }

This statement will run the sqlscript `/tmp/do_some_stuff.sql` on the database named `MYDB` on instance `db2inst1`. Use the `unless`
parameter to just execute the script in certain situations.

When you don't specify the username and the password, the type will connect as `sysdba`.

#### Parameters

The following parameters are available in the `db2_exec` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_exec` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

### <a name="db2_group"></a>`db2_group`

This resource allows you to manage a DB2 group. Here is an example on how to use this:

    db2_group { 'db2inst1/MYDB/PUBLIC':
      ensure   => 'present',
      grants   => ['BINDADD', 'CONNECT', 'CREATETAB', 'IMPLICIT_SCHEMA'],
      provider => 'db2',
      roles    => ['SYSTS_USR'],
    }

Puppet will **NOT** create the OS groups, but it will manage grants and roles.

#### Properties

The following properties are available in the `db2_group` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_group` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_group` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

### <a name="db2_instance"></a>`db2_instance`

This resource allows you to manage an DB2 instance. Here is an example on how to use this:

    db2_instance { 'db2inst2':
      ensure              => 'present',
      agent_stack_sz      => 1024,
      agentpri            => 'SYSTEM',
      alternate_auth_enc  => 'AES_ONLY',
      aslheapsz           => 15,
      audit_buf_sz        => 1000,
      authentication      => 'SERVER_ENCRYPT',
      catalog_noauth      => 'NO',
    }

#### Manage the OS user or not

If the `manage_user` parameter is set to true, Puppet will create the OS users required for an instance. If you need more control
over the creation process, you can set the parameter to false and manage the user(s) yourself. Look at the parameters:

- instance_password
- instance_uid
- instance_group
- instance_home
- fence_user
- fence_password
- fence_uid
- fence_group
- fence_home

for more details.

When removing an instance, the parameter will determine if Puppet removes the OS users.

#### Properties

The following properties are available in the `db2_instance` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_instance` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_instance` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="db2_object_grant"></a>`db2_object_grant`

This puppet type allows you to manage grants/permissions on database objects. Here is an example:

    db2_object_grant { 'db2inst1/MYDB/USER/MYUSER->MYSCHEMA.MYTABLE':
      permissions            => ['CONTROL'],
      provider               => 'db2',
      with_grant_permissions => ['ALTER', 'DELETE', 'INDEX', 'INSERT', 'REFERENCE', 'SELECT', 'UPDATE'],
    }

This code tell's Puppet that on database `MYDB` on instance `dbs2inst1`, the user `MYUSER` has `CONTROL` permission
on the table `MYTABLE` in schema `MYSCHEMA`. It can also grant the rights ALTER', 'DELETE', 'INDEX', 'INSERT', 'REFERENCE', 'SELECT', 'UPDATE
to other users.

#### Parameters

The following parameters are available in the `db2_object_grant` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_object_grant` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="db2_role"></a>`db2_role`

This resource allows you to manage a DB2 role. Here is an example on how to use this:

    db2_role { 'db2inst1/MYDB/MY_ROLE':
      ensure   => 'present',
      grants   => ['DBADM', 'SECADM', 'ACCESSCTRL'],
      provider => 'db2',
      roles    => ['SYSTS_ADM', 'SYSTS_MGR', 'SYSDEBUG', 'SYSDEBUGPRIVATE'],
    }

#### Properties

The following properties are available in the `db2_role` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_role` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_role` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

### <a name="db2_schema"></a>`db2_schema`

This resource allows you to manage a DB2 schema. Here is an example on how to use this:

    db2_schema { 'db2inst1/MYDB/MY_SCHEMA':
      ensure      => 'present',
    }

This will create the schema `MY_SCHEMA` in the database `MYDB` on instance `db2inst1`.

#### Properties

The following properties are available in the `db2_schema` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_schema` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_schema` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

### <a name="db2_schema_definition"></a>`db2_schema_definition`

This resource allows you to manage a schema definition. This includes all tables, indexes and other DDL that is needed for your application.

    db2_schema_definition{'db2inst1/MYDB':
        ensure      => '1.0.0',
        schema_name => 'MYAPP,
        password    => 'verysecret',
        source_path => '/opt/stage/myapp/sql',
    }

In this example we tell Puppet, we need schema version `1.0.0` for `MYAPP` in the database. In layman's terms
now the following things will happen:

- The Puppet type will log in to the database using username `myapp` and the very secret password and it will look at the version of the schema already available.
- If the current version is lower than the specified version, Puppet will execute the upgrade SQL scripts in the source path until the correct version is reached.
- If the current version is higher than the requested version, Puppet will execute the downgrade scripts until the requested version is reached.

## Schema version?

What is this concept of a schema version? To administer the current version, Puppet uses a table called `SCHEMA_VERSION`.
Here is the definition of this table:

    CREATE TABLE schema_version
    (  id                NUMERIC
      ,application       VARCHAR(255)
      ,version           VARCHAR(255)
      ,description       VARCHAR(255)
      ,installation_time TIMESTAMP(6)
    );

Puppet uses this table to store the history of all schema versions applied. If the table doesn't exists, Puppet will
create it for you. Using this information, Puppet can tell what the state of the current schema in the database is.
Puppet creates this table for every single schema/user you manage. This means, you can have multiple schemas with
different versions in your database.

## What about these upgrade and downgrade scripts.

In order for Puppet to do it's magic, the upgrade and downgrade scripts, need to have specific names.
Here is a listing of some upgrade scripts:

    upgrades/0000_myapp_0.0.1_initial-schema.sql
    upgrades/0001_myapp_0.0.2_add-user-table.sql
    upgrades/0002_myapp_0.1.0_initial-release.sql

As you can see, all the file names have the following structure:

- a four-digit sequence number
- application name
- version number
- description

All fields are separated by an underscore. The upgrade scripts contain all SQL statements needed to upgrade
the database schema to the desired state. In general upgrade scripts contain statements to create tables and
indexes and add or remove columns, but you can also insert data into the lookup-tables or create database packages.

The `downgrades` directory contains scripts with the same names. The downgrade scripts contain the SQL statements
needed to put the database in the state it was before. So if you add a column in an upgrade script, you'll have
to remove this column in the downgrade script.

#### Parameters

The following parameters are available in the `db2_schema_definition` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_schema_definition` resource. You will seldom need to specify this --- Puppet
will usually discover the appropriate provider for your platform.

### <a name="db2_tablespace"></a>`db2_tablespace`

This resource allows you to manage a DB2 tablespace. Here is an example on how to use this:

    db2_tablespace { 'db2inst1/MYDB/USERSPACE1':
      ensure                => 'present',
    }


TODO: Extend the example

#### Properties

The following properties are available in the `db2_tablespace` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_tablespace` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_tablespace` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="db2_user"></a>`db2_user`

This resource allows you to manage a DB2 user. Here is an example on how to use this:

    db2_user { 'db2inst1/MYDB/MYUSER':
      ensure   => 'present',
      grants   => ['DBADM', 'SECADM', 'DATAACCESS', 'ACCESSCTRL'],
      roles    => ['SYSTS_ADM', 'SYSTS_MGR', 'SYSDEBUG', 'SYSDEBUGPRIVATE'],
    }

This will ensure a DB2 user named `MYUSER` in database `MYDB` on instance `db2inst1`. This type is mainly available
to manage grants and roles. It will not create the os user's needed fro this.

#### Properties

The following properties are available in the `db2_user` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `db2_user` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_user` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

### <a name="db2_validation"></a>`db2_validation`

This type allows you to validate the contents of your DB2 database. Here is an example on how you can
use this:

    db2_validation { "db2inst1/MYDB/No user data in system tablespaces":
      check                   => "select tabschema,tabname,tbspace from syscat.tables where tabschema not in ('ADMINISTRATOR','SYSIBM','SYSTOOLS') and tbspace in ('SYSCATSPACE','SYSTOOLSPACE','SYSTOOLSTMPSPACE','TEMPSPACE')",
      expected_number_of_rows => 0,
      fail_message            => 'User table %<tabschema>s.%<tabname>s not allowed system tablespace %<tbspace>s',
      report_as               => 'command',
      fail_command            => "/bin/send_to_montoring --node ${::fqdn} %<output>s",
    }

The Puppet statement executes a query on the database and report a warning when more the 0 records are
found. It uses the returned records of the query to generate a good reading error or warning message.

#### Parameters

The following parameters are available in the `db2_validation` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `db2_validation` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="pcmkr_cluster"></a>`pcmkr_cluster`

This resource allows you to manage an Pacemaker cluster. Here is an example on how to use this:

    pcmkr_cluster { 'cluster':
      ensure     => 'present',
      interfaces => ['eth0', 'eth0'],
      nodes      => ['db1157a', 'db1157b'],
    }

All of these properties are read-only. If you need to add nodes, or change interfaces, the cluster
must be recreated. At this point in time Puppet does not take care of this.

#### Properties

The following properties are available in the `pcmkr_cluster` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `pcmkr_cluster` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `pcmkr_cluster` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="pcmkr_database"></a>`pcmkr_database`

This resource allows you to manage an Pacemaker cluster. Here is an example on how to use this:

    pcmkr_database { 'db2inst1/MYDB':
      ensure     => 'present',
    }

All of these properties are read-only. If you need to add nodes, or change interfaces, the cluster
must be recreated. At this point in time Puppet does not take care of this.

#### Properties

The following properties are available in the `pcmkr_database` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `pcmkr_database` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `pcmkr_database` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="pcmkr_instance"></a>`pcmkr_instance`

This resource allows you to manage an Pacemaker instance. Here is an example on how to use this:

    pcmkr_instance { 'db2inst1':
      ensure     => 'present',
      nodes      => ['db1157a', 'db1157b'],
    }

All of these properties are read-only. If you need to add nodes, or change interfaces, the resource
must be recreated. At this point in time Puppet does not take care of this.

#### Properties

The following properties are available in the `pcmkr_instance` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `pcmkr_instance` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `pcmkr_instance` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="pcmkr_qdevice"></a>`pcmkr_qdevice`

This resource allows you to manage an Pacemaker qdevice. Here is an example on how to use this:

pcmkr_qdevice { 'db1157c':
  ensure     => 'present',
}

#### Properties

The following properties are available in the `pcmkr_qdevice` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `pcmkr_qdevice` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `pcmkr_qdevice` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

### <a name="pcmkr_vip"></a>`pcmkr_vip`

This resource allows you to manage an Pacemaker VIP. Here is an example on how to use this:

pcmkr_vip { 'db2inst1/MYDB/primary/10.20.21.4':
  ensure     => 'present',
}

#### Properties

The following properties are available in the `pcmkr_vip` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `pcmkr_vip` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `pcmkr_vip` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

## Functions

### <a name="db2_configdatabases_in"></a>`db2_config::databases_in`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.


Function to detect the databases in a set of resources

#### `db2_config::databases_in(Hash $resources)`

See the file "LICENSE" for the full license governing this code.


Function to detect the databases in a set of resources

Returns: `Array`

##### `resources`

Data type: `Hash`



### <a name="db2_configfact_value_for"></a>`db2_config::fact_value_for`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.

#### `db2_config::fact_value_for(String[1] $instance, String[1] $database, String[1] $fact)`

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `instance`

Data type: `String[1]`



##### `database`

Data type: `String[1]`



##### `fact`

Data type: `String[1]`



### <a name="db2_configis_standby"></a>`db2_config::is_standby`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.


Function to fetch the fact mq_managers and based on that information
decide if the specfied queue manager is running in standby mode or not.

#### `db2_config::is_standby(String $databade)`

See the file "LICENSE" for the full license governing this code.


Function to fetch the fact mq_managers and based on that information
decide if the specfied queue manager is running in standby mode or not.

Returns: `Any`

##### `databade`

Data type: `String`



### <a name="db2_configresources_for"></a>`db2_config::resources_for`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.

#### `db2_config::resources_for(Hash[String,Hash] $resources, String $database)`

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `resources`

Data type: `Hash[String,Hash]`



##### `database`

Data type: `String`



### <a name="db2_configtablespaces_on_database"></a>`db2_config::tablespaces_on_database`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.

#### `db2_config::tablespaces_on_database(String[1] $database)`

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `database`

Data type: `String[1]`



