# frozen_string_literal: true

require 'puppet/type/db2_database'

Facter.add('db2_databases') do
  confine do
    Puppet.features.db2_running?
  end

  def db2version(instance)
    Facter::Util::Resolution.exec("su - #{instance} -c 'db2level'") || ''
  end

  setcode do
    Puppet::Type::Db2_database::ProviderDb2.instances.reduce({}) do |value, data|
      selection = [:overflowlogpath, :extbl_location, :hadr_role]
      data = data.to_hash
      name = data[:name]
      data = data.select { |k, _v| selection.include?(k) }
      value.merge(name => data)
    end
  end
end
