# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require_relative  '../puppet_x/enterprisemodules/db2/core'
require_relative  '../puppet_x/enterprisemodules/db2/fact'

Facter.add('db2_version') do
  extend PuppetX::Db2::Fact

  confine do
    Puppet.features.db2_running?
    false # This is just an example. Don't run it
  end

  db2_array_fact(:version => 'VERSION', :database => :database, :instance => :instance) do
    'select substr(service_level, 6) as version from sysibmadm.env_inst_info'
  end
end
