# frozen_string_literal: true

require 'puppet/type/db2_schema'

Facter.add('db2_schemas') do
  confine do
    Puppet.features.db2_running?
  end

  setcode do
    Puppet::Type::Db2_schema::ProviderDb2.instances.reduce({}) do |value, data|
      selection = [:datacapture, :owner]
      data = data.to_hash
      name = data[:name]
      data = data.select { |k, _v| selection.include?(k) }
      value.merge(name => data)
    end
  end
end
