# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module Db2Feature
  def self.db2_running_check
    Puppet.debug 'Feature db2_running checking availability'
    proc = if Facter.value(:kernel) == 'windows'
             `tasklist | findstr db2.exe`
           else
             Puppet::Util::Execution.execute('ps -ef | grep db2sysc | grep -v grep', :failonfail => false, :combine => true)
           end
    if proc == ''
      Puppet.debug 'Feature db2_running **NOT** available'
      false
    else
      Puppet.debug 'Feature db2_running available'
      true
    end
  end

  Puppet.features.add(:db2_running) do
    db2_running_check
  end

  Puppet.features.send :meta_def, 'db2_running?' do
    name = :db2_running
    final = @results[name]
    @results[name] = Db2Feature.db2_running_check unless final
    @results[name]
  end
end
