# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
#
# Function to detect the databases in a set of resources
#
Puppet::Functions.create_function('db2_config::databases_in') do
  dispatch :databases_in do
    param       'Hash', :resources
    return_type 'Array'
  end

  def databases_in(resources)
    resources.keys.collect do |resource|
      parts = resource.split('/')
      "#{parts[0]}/#{parts[1]}"
    end.uniq
  end
end
