# frozen_string_literal: true

#
# @summary Create a random id based on letters.
#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('db2_config::fact_value_for') do
  dispatch :fact_value_for do
    param 'String[1]', :instance
    param 'String[1]', :database
    param 'String[1]', :fact
  end

  def fact_value_for(instance, database, fact)
    closure_scope[fact].select { |e| e['database'] == database && e['instance'] == instance }.collect { |e| e['name'] }
  end
end
