# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
#
# Function to fetch the fact mq_managers and based on that information
# decide if the specfied queue manager is running in standby mode or not.
#
Puppet::Functions.create_function('db2_config::is_standby') do
  dispatch :is_standby do
    param 'String', :databade
    # return_type 'Boolean' TODO: Wait until the Puppet version supporting this, is mainstream
  end

  def is_standby(database)
    variable = 'db2_databases'
    if variable_exists?(variable)
      fact_value = closure_scope.lookupvar("::#{variable}")
      value = fact_value[database]
      return true if value && value['hadr_role'] == 'STANDBY'

      return false
    end
    false
  end

  # Check if the variable exists without generating a warning
  def variable_exists?(var)
    closure_scope.to_hash.key?(var)
  end
end
