# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
#
#
Puppet::Functions.create_function('db2_config::resources_for') do
  dispatch :resources_for do
    param       'Hash[String,Hash]', :resources
    param       'String',            :database
  end

  def resources_for(resources, database)
    resources.dup.keep_if { |k, _v| k.split('/')[0..1].join('/') == database }
  end
end
