# frozen_string_literal: true

#
# @summary Create a random id based on letters.
#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('db2_config::tablespaces_on_database') do
  dispatch :tablespaces_on_database do
    param 'String[1]', :database
  end

  def tablespaces_on_database(database)
    closure_scope['db2_tablespaces'].keys.grep(%r{^#{database}/.*$}).collect { |e| e.gsub(%r{^#{database}/}, '') }
  end
end
