# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::DbProperty) do
  include EasyType

  desc <<-DESC
    The HADR role of the database. This is a readonly property.
  DESC

  def insync?(_is)
    true
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['HADR_ROLE']&.strip
  end

  data_type('Optional[Variant[String[1],Integer]]')
end
