# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include PuppetX::EnterpriseModules::Db2::Mungers::UpcaseName

  desc <<-DESC
    The name of the database.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    database = raw_resource['Database name'].strip
    instance = raw_resource[:instance]
    "#{instance}/#{database}"
  end

  data_type('String[1]')
end
