# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:cwd) do
  include EasyType

  desc <<-DESC
    The default directory from where the scripts will be run. If not specified, this will be /tmp.

        db2_exec {...:
          ...
          cwd => '/opt/my_scripts'
        }

  This parameter is convenient when the script you run, expects a default directory. For example
  when running other scripts, without a specified directory:

      @execute.sql


  DESC

  data_type('Optional[Variant[String[1],Integer]]')
end
