# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:logoutput) do
  include EasyType

  desc <<-DESC
    Whether to log command output in addition to logging the
    exit code.  Defaults to `on_failure`, which only logs the output
    when the command has an exit code that does not match any value
    specified by the `returns` attribute. As with any resource type,
    the log level can be controlled with the `loglevel` metaparameter.

        db2_exec {...:
          ...
          logoutput => true,
        }

    The default value is `on_failure`

  DESC

  defaultto :on_failure

  newvalues(:true, :false, :on_failure)
  data_type("Optional[Variant[Boolean, Enum['on_failure']]]")
end
