# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include PuppetX::EnterpriseModules::Db2::Mungers::UpcaseName

  desc <<-DESC
    The full sql statement including a SID.

        db2_exec { '/db2inst1/database/select * from tab':
          ...
        }

    We recoomend you **always** use a full qualified name (e.g. a name including the instance and the database).

  DESC

  isnamevar

  data_type('String[1]')
end
