# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:username) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The DB2 username the command will run in.

    If none is specified, it will run as the instance user.

        db2_exec { ...:
          ...
          username => 'scott',
        }

  DESC
  data_type('Optional[Variant[String[1],Integer]]')
end
