# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:db2_version) do
  include EasyType

  desc <<-DESC
    The DB2 version running in the instance. This is a `readonly` property.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data(:db2_version)
  end

  on_modify do
    fail "#{self.name} is a readonly property you cannot modify it."
  end

  data_type('String[1]')
end
