# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:instance_type) do
  include EasyType

  desc <<-DESC
      The type of instance to create.

      The following types are available:

      - dsf - Used to create a Db2 pureScale instance for a Db2 database server with local and remote clients. This option is the default instance type for the IBM Db2 pureScale Feature.
      - ese - Used to create an instance for a database server with local and remote clients. This option is the default instance type for Db2 Advanced Enterprise Server Edition, Db2 Advanced Workgroup Server Edition, Db2 Enterprise Server Edition, or Db2 Workgroup Server Edition.
      - wse - Used to create an instance for a database server with local and remote clients. This option is the default instance type for Db2 Express-C, and Db2 Connect Enterprise Edition.
      - standalone - Used to create an instance for a database server with local clients.
      - client - Used to create an instance for a client. This option is the default instance type for IBM Data Server Client, and IBM Data Server Runtime Client.

  DESC

  data_type("Enum['dsf','ese','wse','standalon','client']")
end
