# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:restart) do
  include EasyType

  desc <<-DOC
  Specifies if you want to automaticaly want to restart after the change has been applied. Some changes
  to the database manager will only become active after a restart of the database manager.

      db2_instance { 'db2inst1':
        ...
        restart   => true,
        ...
      }

  By default puppet will **NOT** restart the database manager
  DOC

  newvalues(:true, :false)

  data_type('Optional[Boolean]')

  defaultto(:false)
end
