# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:state) do
  include EasyType

  desc <<-DESC
    The state of the database manager in the instance.
  DESC

  to_translate_to_resource do |raw_resource|
    process = Puppet::Util::Execution.execute("/usr/bin/ps -eaf | /bin/grep db2sysc | /bin/grep -v grep | /bin/grep #{raw_resource[:name]}", :failonfail => false)
    process == '' ? 'stopped' : 'running'
  end

  on_apply do
    if provider.state == 'running'
      resource.stop_manager
    else
      resource.start_manager
    end
    nil
  end

  data_type("Enum['stopped', 'running']")
end
