# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::SchemaProperty) do
  include EasyType

  desc <<-DESC
      Detailed documentation not (yet) available.
  DESC

  def self.translate_to_resource(raw_resource)
    value = raw_resource.column_data(self.name.to_s.upcase)
    case value
    when 'NULL', nil, value.empty?
      nil
    when 'N'
      'NONE'
    when 'Y'
      'CHANGES'
    else
      fail "#{value} is invalid"
    end
  end

  on_apply do
    "data capture #{value}"
  end

  data_type("Optional[Enum['NONE', 'CHANGES']]")
end
