# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym, :parent => PuppetX::EnterpriseModules::Db2::TsProperty) do
  include EasyType

  desc <<-DESC
  Type of data that can be stored in this table space.
    - A = All types of permanent data; regular table space
    - L = All types of permanent data; large table space
    - T = System temporary tables only
    - U = Created temporary tables or declared temporary tables only
  DESC

  data_type('Optional[Variant[String[1],Integer]]')
end
