# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include PuppetX::EnterpriseModules::Db2::Mungers::UpcaseName

  desc <<-DESC
    The name of the tablespace.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    tablespace = raw_resource['TBSPACE'].strip
    database = raw_resource[:database]
    instance = raw_resource[:instance]
    "#{instance}/#{database}/#{tablespace}"
  end

  data_type('String[1]')
end
