# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include PuppetX::EnterpriseModules::Db2::Mungers::UpcaseName

  desc <<-DESC
    The full qalified name of the user.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    user     = raw_resource['USERNAME'].strip
    database = raw_resource[:database]
    instance = raw_resource[:instance]
    "#{instance}/#{database}/#{user}"
  end

  data_type('String[1]')
end
