# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:interfaces, :array_matching => :all) do
  include EasyType

  desc <<-DESC
  The public network interfaces Pacemaker uses for this instance.

  This array must be synced with the nodes in the nodes property. This means that entry 0 in this
  array belongs to entry 0 in the interfaces array etc.

  This is a read-only property and cannot be changed.
  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('Interfaces')
  end

  data_type('Array[String[1]]')
end
