# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:leader) do
  include EasyType

  desc <<-DESC
  The pacemaker leader. This is a read-only property.
  DESC

  def insync?(_)
    true # We don't want puppet to detect this as a change
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['Current domain leader']
  end

  data_type('Optional[String[1]]')
end
