# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType

  desc <<-DESC
    The full name of the Pacemaker database. This includes the instance and the database separated by a slash.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    instance_name = raw_resource.column_data('HADR Primary Instance')
    database_name = raw_resource.column_data('DB Name')
    "#{instance_name}/#{database_name}"
  end

  data_type('String[1]')
end
