# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:primary_state) do
  include EasyType

  desc <<-DESC
  The state of the primary node for this HADR database. This is a read-only property.
  DESC

  def insync?(_)
    true # We don't want puppet to detect this as a change
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['HADR Primary State']
  end

  data_type('Optional[String[1]]')
end
