# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:standby_instance) do
  include EasyType

  desc <<-DESC
  The instance name on the standby node for this HADR database. This is a read-only property.
  DESC

  def insync?(_)
    true # We don't want puppet to detect this as a change
  end

  to_translate_to_resource do |raw_resource|
    raw_resource['HADR Standby Instance']
  end

  data_type('Optional[String[1]]')
end
