# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType

  desc <<-DESC
    The full name of the Pacemaker database. This includes the instance and the database separated by a slash.
  DESC

  isnamevar

  to_translate_to_resource do |raw_resource|
    _, instance, _, database, type = raw_resource['Resource Name'].split(/-|_/)
    address = raw_resource['Ip Address']
    "#{instance}/#{database}/#{type}/#{address}"
  end

  data_type('String[1]')
end
