# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:location) do
  include EasyType

  desc <<-DESC
    The location of the software the instance is running from.
  DESC

  defaultto { db2_locations.first }

  data_type('Stdlib::Absolutepath')

  private

  def db2ls
    @db2ls ||= Puppet::Util::Execution.execute('/usr/local/bin/db2ls -c') || ''
  end

  def db2_locations
    data_lines = db2ls.split("\n").drop(1)
    data_lines.collect do |line|
      line.split(':')[0]
    end
  end
end
