# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(File.basename(__FILE__, '.rb').to_sym) do
  include EasyType
  include PuppetX::EnterpriseModules::Db2::Commands

  desc <<-DESC
    The comment on the object you are defining.
  DESC

  def self.translate_to_resource(raw_resource)
    value = raw_resource.column_data(self.name.to_s.upcase)
    return nil if value == 'NULL'

    value&.empty? ? nil : value
  end

  def resource_type
    self.class.to_s.split('::')[2].split('_')[1]
  end

  after_apply do
    #
    # For this to work the actual name must ALWAYS be defined after instance and database
    #
    db2 "comment on #{resource_type} #{resource.send(resource.parameters.keys[4])} is '#{value}'", :instance => resource.instance_name, :database => resource.database_name
  end

  data_type('Optional[Variant[String[1],Integer]]')
end
