# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:roles, :array_matching => :all) do
  include EasyType
  include PuppetX::EnterpriseModules::Db2::Commands
  include PuppetX::EnterpriseModules::Db2::RoleProperty

  desc <<-DESC
    roles for this user or role.

    All the roless this resource has. Here is an example on how to use this on an `db2_user`:

        db2_user { 'my_user@sid':
          ...
          roles => ['ROLE_1', 'ROLE_2'].
          ...
        }

    Here is an example on how to use this on an `db2_role`:

        db2_db2_role { 'my_role@sid':
          ...
          roles => ['ROLE_1', 'ROLE_2'].
          ...
        }


  DESC

  data_type('Optional[Array[String[1]]]')
end
