#! /opt/puppetlabs/puppet/bin/ruby
# frozen_string_literal: true

require 'ibm_db'
require 'yaml'
require 'base64'

instance = ARGV[0]
database = ARGV[1]
query    = Base64.decode64(ARGV[2])
username = ARGV[3] || ''
password = ARGV[4] || ''

db = "DATABASE=#{database};Instance=#{instance};PROTOCOL=IPC;"
results = []
conn = IBM_DB.connect(db, username, password)
if conn
  begin
    stmt = IBM_DB.exec(conn, query)
    if stmt
      # rubocop: disable Lint/AssignmentInCondition
      while row = IBM_DB.fetch_assoc(stmt)
        row[:database] = database
        row[:instance] = instance
        results << row
      end
      # rubocop: enable Lint/AssignmentInCondition
      IBM_DB.free_result(stmt)
    else
      puts "Statement execution failed: #{IBM_DB.stmt_errormsg}"
    end
  ensure
    IBM_DB.close(conn)
  end
  puts results.to_yaml
else
  puts "Connection failed: #{IBM_DB.conn_errormsg}"
end
